.videos-banner {
  margin-top: 100px;
}

.video-gallery-section {
  background: #ffffff;
  padding: 30px 0;
  margin-bottom: 90px;
}

.video-gallery-section__content {
  width: 90%;
  max-width: 1400px;
  margin: 0 auto;
}

.video-gallery-section__wrap {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: flex-start;
  gap: 50px;
}

.video-gallery-section__title {
  font-weight: 500;
  color: #333333;
  margin-bottom: 40px;
  text-align: center;
}

.video-gallery-section__list {
  width: 30%;
  max-width: 300px;
  height: 580px;
  overflow-y: scroll;
}
/* 容器滚动条外层轨道 */
.video-gallery-section__list::-webkit-scrollbar {
  width: 10px; /* 垂直滚动条宽度 */
  height: 10px; /* 水平滚动条高度 */
}
/* 滚动条轨道背景 */
.video-gallery-section__list::-webkit-scrollbar-track {
  background: #0a3436;
  border-radius: 0px;
}
/* 滚动滑块 */
.video-gallery-section__list::-webkit-scrollbar-thumb {
  background: #b0e501;
  border-radius: 0px;
}

.video-gallery-section__item {
  width: 90%;
  max-width: 250px;
  cursor: pointer;
  margin: 0 auto;
  margin-bottom: 60px;
}

.video-gallery-section__item-image {
  border-radius: 10px;
  margin-bottom: 15px;
  position: relative;
}

.video-gallery-section__item-image img {
  width: 100%;
  display: block;
  border-radius: 5px;
}

.video-gallery-section__pause-overlay,
.video-gallery-section__play-overlay {
  position: absolute;
  width: 28px;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

/* 显示播放图标，隐藏暂停图标 */
.video-gallery-section__pause-overlay {
  display: none;
}
.video-gallery-section__play-overlay {
  display: block;
}

/* 显示暂停，隐藏播放 */
.video-gallery-section__item--active .video-gallery-section__pause-overlay {
  display: block;
}
.video-gallery-section__item--active .video-gallery-section__play-overlay {
  display: none;
}

.video-gallery-section__pause-overlay img,
.video-gallery-section__play-overlay img {
  width: 100%;
}

.video-gallery-section__item-title {
  width: 100%;
  padding: 10px 0;
  text-align: center;
  margin: 0 auto;
  background: #eeeeee;
  border-radius: 10px;
  color: #333333;
}

.video-gallery-section__item-title--active {
  background: #b0e501 !important;
  color: #333333 !important;
}

.video-gallery-section__player {
  flex: 1;
  background: #fafafa;
  border-radius: 30px;
  border: 19px solid #040404;
  position: relative;
  box-sizing: border-box;
}

.video-gallery-section__player video {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

@media screen and (max-width: 760px) {
  .video-gallery-section {
    margin-bottom: 0px;
  }

  .video-gallery-section__wrap {
    flex-direction: column-reverse;
  }

  .video-gallery-section__list {
    width: 100%;
    max-width: 100%;
    height: auto;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin-top: 30px;
    overflow: auto;
    gap: 10px;
  }

  .video-gallery-section__item {
    width: 48%;
    margin-bottom: 0px;
  }

  .video-gallery-section__player {
    width: 100%;
  }
}

@media screen and (min-width: 760px) and (max-width: 1020px) {
  .video-gallery-section {
    margin-bottom: 0px;
  }
}

@media screen and (min-width: 1020px) and (max-width: 1350px) {
  .video-gallery-section {
    margin-bottom: 0px;
  }
}
